## com.baidubce
Enum Region

    java.lang.Object
      java.lang.Enum<Region>
          com.baidubce.Region

All Implemented Interfaces:
  Serializable, Comparable<Region>

    public enum Region

extends Enum<Region>

Specifies constants that define BCE Regions.

Enum Constant Summary
`CN_N1`

Method Summary
`static Region` `fromValue(String regionId)` Returns the BCE Region enumeration value representing the specified BCE Region ID string.
`String` `toString()`
`static Region` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Region[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CN_N1

    public static final Region CN_N1

Method Detail

### values

    public static Region[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Region c : Region.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Region valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Region>`

### fromValue

    public static Region fromValue(String regionId)

  Returns the BCE Region enumeration value representing the specified BCE Region ID string. If specified string doesn't map to a known BCE Region, then an `IllegalArgumentException` is thrown.

  Parameters:
    `regionId` - The BCE region ID string.
  Returns:
    The BCE Region enumeration value representing the specified BCE Region ID.
  Throws:
    `NullPointerException` - regionId should not be null.

Copyright © 2016. All rights reserved.